MarinerWrtText Class Reference

the main class to read the text part of Mariner Write file More...

`#include <MarinerWrtText.hxx>`

## Public Member Functions

| MarinerWrtText (MarinerWrtParser &parser)
| constructor
virtual | ~MarinerWrtText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions

void | setProperty (MarinerWrtTextInternal::Paragraph const &ruler)
| sends a paragraph property to the listener
void | flushExtra ()
| sends the data which have not yet been sent to the listener
bool | send (int zoneId)
| try to send a zone (knowing zoneId)
bool | send (MarinerWrtTextInternal::Zone const &zone, MWAWEntry const &entry)
| try to send a zone
bool | findTableStructure (MarinerWrtTextInternal::Table &table, MWAWEntry const &entry)
| try to find the table structure beginning in actual position
bool | sendTable (MarinerWrtTextInternal::Table &table)
| try to send a table
bool | readTextStruct (MarinerWrtEntry const &entry, int zoneId)
| try to read the text struct
bool | readZone (MarinerWrtEntry const &entry, int zoneId)
| try to read a text zone
int | computeNumPages (MarinerWrtTextInternal::Zone const &zone) const
| try to compute the number of pages of a zone, returns 0 if not data
bool | readFonts (MarinerWrtEntry const &entry, int zoneId)
| try to read a font zone
bool | readFontNames (MarinerWrtEntry const &entry, int zoneId)
| try to read a font name zone
bool | readRulers (MarinerWrtEntry const &entry, int zoneId)
| try to read a ruler zone
bool | readPLCZone (MarinerWrtEntry const &entry, int zoneId)
| try to read a PLC zone: position in text to char(zone 4) or ruler(zone 5) id
bool | readStyleNames (MarinerWrtEntry const &entry, int zoneId)
| try to read a style name zone

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< MarinerWrtTextInternal::State > | m_state
| the state
MarinerWrtParser * | m_mainParser
| the main parser;

## Private Member Functions

| MarinerWrtText (MarinerWrtText const &orig)=delete
MarinerWrtText & | operator= (MarinerWrtText const &orig)=delete

## Friends

class | MarinerWrtParser

## Detailed Description

the main class to read the text part of Mariner Write file

## Constructor & Destructor Documentation

## MarinerWrtText() [1/2]

MarinerWrtText::MarinerWrtText | ( | MarinerWrtParser & | parser | ) |

explicit

constructor

Referenced by MarinerWrtText(), and operator=().

## ~MarinerWrtText()

MarinerWrtText::~MarinerWrtText | ( |  | ) |

virtual

destructor

## MarinerWrtText() [2/2]

MarinerWrtText::MarinerWrtText | ( | MarinerWrtText const & | orig | ) |

private delete

## Member Function Documentation

## computeNumPages()

int MarinerWrtText::computeNumPages | ( | MarinerWrtTextInternal::Zone const & | zone | ) | const

protected

try to compute the number of pages of a zone, returns 0 if not data

Referenced by numPages().

## findTableStructure()

bool MarinerWrtText::findTableStructure | ( | MarinerWrtTextInternal::Table & | table,
|  | MWAWEntry const & | entry )

protected

try to find the table structure beginning in actual position

Referenced by send().

## flushExtra()

void MarinerWrtText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

send data to the listener

## numPages()

int MarinerWrtText::numPages | ( |  | ) | const

returns the number of pages

## operator=()

MarinerWrtText & MarinerWrtText::operator= | ( | MarinerWrtText const & | orig | ) |

private delete

## readFontNames()

bool MarinerWrtText::readFontNames | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a font name zone

## readFonts()

bool MarinerWrtText::readFonts | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a font zone

## readPLCZone()

bool MarinerWrtText::readPLCZone | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a PLC zone: position in text to char(zone 4) or ruler(zone 5) id

## readRulers()

bool MarinerWrtText::readRulers | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a ruler zone

## readStyleNames()

bool MarinerWrtText::readStyleNames | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a style name zone

## readTextStruct()

bool MarinerWrtText::readTextStruct | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read the text struct

## readZone()

bool MarinerWrtText::readZone | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a text zone

## send() [1/2]

bool MarinerWrtText::send | ( | int | zoneId | ) |

protected

try to send a zone (knowing zoneId)

Referenced by flushExtra(), send(), and sendTable().

## send() [2/2]

bool MarinerWrtText::send | ( | MarinerWrtTextInternal::Zone const & | zone,
|  | MWAWEntry const & | entry )

protected

try to send a zone

## sendTable()

bool MarinerWrtText::sendTable | ( | MarinerWrtTextInternal::Table & | table | ) |

protected

try to send a table

Referenced by send().

## setProperty()

void MarinerWrtText::setProperty | ( | MarinerWrtTextInternal::Paragraph const & | ruler | ) |

protected

sends a paragraph property to the listener

Referenced by send().

## version()

int MarinerWrtText::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## MarinerWrtParser

friend class MarinerWrtParser

friend

Referenced by MarinerWrtParser, and MarinerWrtText().

## Member Data Documentation

## m_mainParser

MarinerWrtParser* MarinerWrtText::m_mainParser

protected

the main parser;

Referenced by MarinerWrtText(), readFontNames(), readFonts(), readPLCZone(), readRulers(), readStyleNames(), readTextStruct(), readZone(), send(), and sendTable().

## m_parserState

MWAWParserStatePtr MarinerWrtText::m_parserState

protected

the parser state

Referenced by computeNumPages(), findTableStructure(), flushExtra(), MarinerWrtText(), readFontNames(), readFonts(), readPLCZone(), readRulers(), readStyleNames(), readTextStruct(), readZone(), send(), send(), sendTable(), setProperty(), and version().

## m_state

std::shared_ptr<MarinerWrtTextInternal::State> MarinerWrtText::m_state

protected

the state

Referenced by flushExtra(), MarinerWrtText(), numPages(), readFontNames(), readFonts(), readPLCZone(), readRulers(), readTextStruct(), readZone(), send(), and version().

The documentation for this class was generated from the following files:

- MarinerWrtText.hxx
- MarinerWrtText.cxx